---
{%- for instance in kubeinstaller.sys.s3.instances %}

instance-{{ loop.index0 }}-s3-server:
  name: "s3-{{ instance.name }}-server"
  domain: "{{ instance.domain }}"
  nodespace: "{{ instance.nodespace }}"
  maxFileSize: "{{ instance.maxFileSize }}"
  ca:
    issuerName: "{{ instance.ca.issuerName }}"
  ingress:
    className: "{{ instance.ingress.className }}"
  user:
    username: "{{ instance.user.username }}"
    password:
      vault:
        secretName: "{{ instance.user.password.vault.secretName }}"
  vault:
    role: "{{ instance.vault.role }}"
    path: "{{ instance.vault.path }}"
instance-{{ loop.index0 }}-s3-server-console:
  name: "s3-{{ instance.name }}-server-console"
  domain: "console.{{ instance.domain }}"
  server:
    instance: "s3-{{ instance.name }}-server"
  ca:
    issuerName: "{{ instance.ca.issuerName }}"
  ingress:
    className: "{{ instance.ingress.className }}"
{%- endfor %}
